use serde::{Deserialize, Serialize};

#[derive(Default, Debug, Serialize, Deserialize)]
#[serde(default)]
pub struct ModelsimConfiguration {
    pub linter: ModelsimLinter,
    pub format: ModelsimFormat,
}


#[derive(Debug, Serialize, Deserialize)]
#[serde(default)]
pub struct ModelsimLinter {
    pub name: String,
    /// 目前是否启动
    pub enabled: bool,
    pub path: String,
    pub args: Vec<String>,
}

#[derive(Debug, Serialize, Deserialize)]
#[serde(default)]
pub struct ModelsimFormat {
    pub enabled: bool,
    pub path: String,
    pub args: Vec<String>,
}

impl Default for ModelsimLinter {
    fn default() -> Self {
        Self {
            name: "modelsim".to_string(),
            enabled: true,
            path: "Modelsim-verilog-syntax".to_string(),
            args: Vec::new(),
        }
    }
}


impl Default for ModelsimFormat {
    fn default() -> Self {
        Self {
            enabled: true,
            path: "Modelsim-verilog-format".to_string(),
            args: Vec::new(),
        }
    }
}

pub fn provide_diagnostics() {

}