use serde::{Deserialize, Serialize};

#[derive(Debug, Default, Serialize, Deserialize)]
#[serde(default)]
pub struct VivadoConfiguration {
    pub linter: VivadoLinter,
}

#[derive(Debug, Serialize, Deserialize)]
#[serde(default)]
pub struct VivadoLinter {
    pub name: String,
    /// 目前是否启动
    pub enabled: bool,
    pub path: String,
    pub args: Vec<String>,
}

impl Default for VivadoLinter {
    fn default() -> Self {
        Self {
            name: "vivado".to_string(),
            enabled: true,
            path: "Vivado".to_string(),
            args: vec![
                "--lint-only".to_string(),
                "--sv".to_string(),
                "-Wall".to_string(),
            ],
        }
    }
}

pub fn provide_diagnostics() {

}